tigase.jaxmpp.j2se.filetransfer

## Class Socks5FileTransferNegotiator

- java.lang.Object
- - tigase.jaxmpp.j2se.filetransfer.FileTransferNegotiatorAbstract
  - - tigase.jaxmpp.j2se.filetransfer.Socks5FileTransferNegotiator

- All Implemented Interfaces:
    EventHandler, ContextAware, FileTransferModule.FileTransferRequestHandler, ConnectionManager.ConnectionEstablishedHandler, FileTransferNegotiator

      public class Socks5FileTransferNegotiator
      extends FileTransferNegotiatorAbstract
      implements ConnectionManager.ConnectionEstablishedHandler, FileTransferModule.FileTransferRequestHandler

  Author:
    andrzej

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.j2se.connection.ConnectionManager.ConnectionEstablishedHandler

      `ConnectionManager.ConnectionEstablishedHandler.ConnectionEstablishedEvent`

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.core.client.xmpp.modules.filetransfer.FileTransferModule.FileTransferRequestHandler

      `FileTransferModule.FileTransferRequestHandler.FileTransferRequestEvent`

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.j2se.filetransfer.FileTransferNegotiator

      `FileTransferNegotiator.NegotiationFailureHandler, FileTransferNegotiator.NegotiationRejectHandler, FileTransferNegotiator.NegotiationRequestHandler, FileTransferNegotiator.NegotiationSuccessHandler`

  - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.j2se.filetransfer.FileTransferNegotiatorAbstract

      `context, ftManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Socks5FileTransferNegotiator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptFile(JaxmppCore jaxmpp, FileTransfer ft)`
    `String[]` | `getFeatures()`
    `boolean` | `isSupported(JaxmppCore jaxmpp, FileTransfer ft)`
    `void` | `onConnectionEstablished(SessionObject sessionObject, ConnectionSession connectionSession, Socket socket)`
    `void` | `onFileTransferRequest(SessionObject sessionObject, FileTransfer fts, String id, List<String> streamMethods)`
    `void` | `registerListeners(JaxmppCore jaxmpp)`
    `void` | `rejectFile(JaxmppCore jaxmpp, FileTransfer ft)`
    `void` | `sendFile(JaxmppCore jaxmpp, FileTransfer ft)`
    `void` | `sendFile2(JaxmppCore jaxmpp, FileTransfer ft)`
    `void` | `setContext(Context context)`
    `void` | `unregisterListeners(JaxmppCore jaxmpp)`

    - ### Methods inherited from class tigase.jaxmpp.j2se.filetransfer.FileTransferNegotiatorAbstract

      `fireOnFailure, fireOnReject, fireOnRequest, fireOnSuccess`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Socks5FileTransferNegotiator

          public Socks5FileTransferNegotiator()

  - ### Method Detail

    - #### acceptFile

          public void acceptFile(JaxmppCore jaxmpp,
                                 FileTransfer ft)
                          throws JaxmppException

      Specified by:
        `acceptFile` in interface `FileTransferNegotiator`
      Throws:
        `JaxmppException`

    - #### getFeatures

          public String[] getFeatures()

      Specified by:
        `getFeatures` in interface `FileTransferNegotiator`

    - #### isSupported

          public boolean isSupported(JaxmppCore jaxmpp,
                                     FileTransfer ft)

      Specified by:
        `isSupported` in interface `FileTransferNegotiator`

    - #### onConnectionEstablished

          public void onConnectionEstablished(SessionObject sessionObject,
                                              ConnectionSession connectionSession,
                                              Socket socket)
                                       throws JaxmppException

      Specified by:
        `onConnectionEstablished` in interface `ConnectionManager.ConnectionEstablishedHandler`
      Throws:
        `JaxmppException`

    - #### onFileTransferRequest

          public void onFileTransferRequest(SessionObject sessionObject,
                                            FileTransfer fts,
                                            String id,
                                            List<String> streamMethods)

      Specified by:
        `onFileTransferRequest` in interface `FileTransferModule.FileTransferRequestHandler`

    - #### registerListeners

          public void registerListeners(JaxmppCore jaxmpp)

      Specified by:
        `registerListeners` in interface `FileTransferNegotiator`

    - #### rejectFile

          public void rejectFile(JaxmppCore jaxmpp,
                                 FileTransfer ft)
                          throws JaxmppException

      Specified by:
        `rejectFile` in interface `FileTransferNegotiator`
      Throws:
        `JaxmppException`

    - #### sendFile

          public void sendFile(JaxmppCore jaxmpp,
                               FileTransfer ft)
                        throws JaxmppException

      Specified by:
        `sendFile` in interface `FileTransferNegotiator`
      Throws:
        `JaxmppException`

    - #### sendFile2

          public void sendFile2(JaxmppCore jaxmpp,
                                FileTransfer ft)
                         throws JaxmppException

      Throws:
        `JaxmppException`

    - #### setContext

          public void setContext(Context context)

      Specified by:
        `setContext` in interface `ContextAware`
      Overrides:
        `setContext` in class `FileTransferNegotiatorAbstract`

    - #### unregisterListeners

          public void unregisterListeners(JaxmppCore jaxmpp)

      Specified by:
        `unregisterListeners` in interface `FileTransferNegotiator`

Copyright © 2006–2019 Tigase. All rights reserved.